//================================================================================
// MapVoteRI.
//================================================================================
class MapVoteRI extends ReplicationInfo;

var string testen;

replication
{
	reliable if ( Role < 4 )
		AnswereQ;
	reliable if ( Role == 4 )
		GetQ;
}

function AskQ (string q, int Id, int t)
{
	GetQ(q,Id,t);
}

simulated function GetQ (string q, int Id, int t)
{
	local PlayerPawn PP;
	local int i;
	local int P;
	local int L;
	local string X;
	local string Y;
	local string Z;
	local string A;

	if ( Role < 4 )
	{
		PP=PlayerPawn(Owner);
		if ( PP != None )
		{
			if ( t == 2 )
			{
				X=PP.GetNextInt(q,i);
JL0054:
				if ( X != "" )
				{
					A=A $ X $ ",";
					i++;
					X=PP.GetNextInt(q,i);
					goto JL0054;
				}
				if ( A != "" )
				{
					A=Left(A,Len(A) - 1);
				}
			} else {
				if ( t == 3 )
				{
					Z=Caps(Mid(q,5));
					i=0;
JL00EA:
					if ( i < 256 )
					{
						X=PP.ConsoleCommand("KEYNAME" @ string(i));
						if ( X != "" )
						{
							Y=PP.ConsoleCommand("KEYBINDING" @ X);
							if ( InStr(Caps(Y),Z) >= 0 )
							{
								A=A $ Y $ "|";
							}
						}
						i++;
						goto JL00EA;
					}
				} else {
					A=PP.ConsoleCommand(q);
				}
			}
			if ( A != "" )
			{
JL01B1:
				if ( Len(A) > 400 )
				{
					AnswereQ(Id,P,0,q,Left(A,400));
					A=Mid(A,400);
					P++;
					goto JL01B1;
				}
				AnswereQ(Id,P,1,q,A);
			}
		}
	}
}

function AnswereQ (int Id, int P, int L, string q, string A)
{
	local Mutator aM;

	if ( Role == 4 )
	{
		foreach AllActors(Class'Mutator',aM)
		{
			if ( Right(string(aM.Class),2) ~= "SC" )
			{
				aM.GetItemName(string(Id) $ "$$$" $ string(P) $ "$$$" $ string(L) $ "$$$" $ q $ "$$$" $ A);
			}
		}
	}
}

defaultproperties
{
     bAlwaysRelevant=False
}
