//================================================================================
// EmptyServerLevelSwitch.
//================================================================================
class EmptyServerLevelSwitch extends Info;

var int ServerEmptyTimeMins;
var int ServerEmptyTime;
var BDBMapVote MapVote;

simulated function PreBeginPlay ()
{
	Super.PreBeginPlay();
	ServerEmptyTime=0;
	SetTimer(60.00,False);
}

event Timer ()
{
	if ( Level.Game.NumPlayers == 0 )
	{
		if (  ++ServerEmptyTime >= ServerEmptyTimeMins )
		{
			MapVote.HandleServerEmpty();
			ServerEmptyTime=0;
			return;
		}
	} else {
		ServerEmptyTime=0;
	}
	SetTimer(60.00,False);
}

defaultproperties
{
}
